from distutils.core import setup, Extension

impiatexit_module = Extension(
    'impiatexit',
    include_dirs = [
        r'C:\Program Files (x86)\Intel\oneAPI\mpi\latest\include'
    ],
    libraries = [
        'impi',
        'impicxx',
    ],
    library_dirs = [
        r'C:\Program Files (x86)\Intel\oneAPI\mpi\latest\lib\debug',
        r'C:\Program Files (x86)\Intel\oneAPI\mpi\latest\lib'
    ],
    extra_compile_args = [
    ],
    extra_link_args = [
    ],
    sources = [
        r'source\impiatexitmodule.cpp'
    ]
)

setup (
    name = 'impiatexit',
    version = '1.0',
    description = 'Demos std::atexit finalization behaviour of IMPI 2021 when used from Python.',
    author = 'Benjamin Aurich',
    author_email = 'aurich@synopsys.com',
    ext_modules = [
        impiatexit_module
    ]
)
