How to build the extension modules
===================================

OneAPI 2021 IMPI
----------------
- Source the mpi vars with `C:\Program Files (x86)\Intel\oneAPI\setvars.bat`
- Put the python you want to test with in front of the PATH
- run, e.g. `python[_d].exe setup-win-impi2021-atexit.py build_ext [-g]`
- set the **PYTHONPATH** to include the generated pyd file in the `build/lib` sub-folder
- Test with `mpiexec -n 4 python[_d] test_atexit_finalization_impi2021.py`
- *Note* that the setup and test scripts assume default oneAPI install locations.

IMPI 2018
---------
- Source the mpi vars with `C:\Program Files (x86)\IntelSWTools\mpi\2018.1.156\intel64\bin\mpivars.bat`
- Put the python you want to test with in front of the PATH
- run, e.g. `python[_d].exe setup-win-impi2018-atexit.py build_ext [-g]`
- set the **PYTHONPATH** to include the generated pyd file in the `build/lib` sub-folder
- Test with `mpiexec -n 4 -localonly python[_d] test_atexit_finalization_impi2018.py`
- *Note* that the setup and test scripts assume default IMPI 2018 install locations.
